Mailing List Info
Slackware Logo


Security Advisories



General Info

Get Slack

Install Help






Other Sites



Mailing Lists


From: Slackware Security Team <>
Subject: [slackware-security] kernel (SSA:2009-342-01)
Date: Tue, 8 Dec 2009 14:41:02 -0800 (PST)
Hash: SHA1

[slackware-security]  kernel (SSA:2009-342-01)

New Linux kernel packages are available for Slackware 13.0 and -current
to address a security issue.  A kernel bug discovered by David Ford may
allow remote attackers to crash the kernel by sending an oversized IP
packet.  While the impact on ordinary servers is still unclear (the
problem was noticed while running openvasd), we are issuing these kernel
packages as a preemptive measure.

For more information, see:

Here are the details from the Slackware 13.0 ChangeLog:
Tue Dec  8 20:44:44 UTC 2009
  Added new kernels and kernel packages with a patch for CVE-2009-1298,
  a kernel bug where oversized IP packets cause a NULL pointer dereference
  and immediate hang.
  For more information, see:
  Be sure to reinstall LILO after upgrading the kernel packages.
  (* Security fix *)

Where to find the new packages:

HINT:  Getting slow download speeds from
Give a try.  This is another primary FTP site
for Slackware that can be considerably faster than downloading
directly from

Thanks to the friendly folks at the OSU Open Source Lab
( for donating additional FTP and rsync hosting
to the Slackware project!  :-)

Also see the "Get Slack" section on for
additional mirror sites near you.

Updated kernel packages for Slackware 13.0 may be found here:

Updated kernel packages for Slackware 13.0 x86_64 may be found here:

Updated kernel packages for Slackware -current may be found here:

Updated kernel packages for Slackware -current x86_64 may be found here:


All packages are signed with the Slackware Security Team GPG signature for
verification of authenticity.  File may also be checked with the CHECKSUMS.md5
file provided in each Slackware directory tree, which is also signed with the
Slackware GPG key.

Kernel patch for Linux 2.6.29.x or newer:

A kernel patch for CVE-2009-1298 that should apply cleanly to most 2.6.29.x
or newer kernels may be found here:

Installation instructions:

Upgrade the kernel packages as root and reinstall LILO.

If you are building your own kernel from unfixed vanilla sources,
the patch(es) appropriate for your kernel may be applied to the source
like this:

cd /usr/src/linux
zcat linux- | patch -p1 --verbose

Note that the previous security patches should also be applied if using
unfixed sources.  Those are also available in the same directory
on the FTP server.


Slackware Linux Security Team

| To leave the slackware-security mailing list:                          |
| Send an email to with this text in the body of |
| the email message:                                                     |
|                                                                        |
|   unsubscribe slackware-security                                       |
|                                                                        |
| You will get a confirmation message back containing instructions to    |
| complete the process.  Please do not reply to this email address.      |
Version: GnuPG v1.4.9 (GNU/Linux)


Slackware® is a registered trademark of Slackware Linux, Inc. All logos and graphics are copyrighted.